compact3
javax.tools

## Class ToolProvider

- java.lang.Object
- - javax.tools.ToolProvider

    public class ToolProvider
    extends Object

Provides methods for locating tool providers, for example, providers of compilers. This class complements the functionality of `ServiceLoader`.

Since:
  1.6

### Method Summary

All Methods Static Methods Concrete Methods
`static DocumentationTool` `getSystemDocumentationTool()` Gets the Java™ programming language documentation tool provided with this platform.
`static JavaCompiler` `getSystemJavaCompiler()` Gets the Java™ programming language compiler provided with this platform.
`static ClassLoader` `getSystemToolClassLoader()` Returns the class loader for tools provided with this platform.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSystemJavaCompiler

    public static JavaCompiler getSystemJavaCompiler()

Gets the Java™ programming language compiler provided with this platform.

Returns:
  the compiler provided with this platform or `null` if no compiler is provided

#### getSystemDocumentationTool

    public static DocumentationTool getSystemDocumentationTool()

Gets the Java™ programming language documentation tool provided with this platform.

Returns:
  the documentation tool provided with this platform or `null` if no documentation tool is provided

#### getSystemToolClassLoader

    public static ClassLoader getSystemToolClassLoader()

Returns the class loader for tools provided with this platform. This does not include user-installed tools. Use the service provider mechanism for locating user installed tools.

Returns:
  the class loader for tools provided with this platform or `null` if no tools are provided